import { IOption, IOptionsPro } from '../../3config/option';
import FormComponent from './abasecomp';
export default abstract class AOptionsComp<T> extends FormComponent<T> {
    state: {
        dynamicOptions: never[];
    };
    remoteValues: any;
    getState(): {
        dynamicOptions: never[];
    };
    setOptions(options: IOption[], callback?: any): void;
    /**
     *
     * @param url 请求地址
     * @param query 请求参数
     */
    _get(url: string, query: any, callback?: any): void;
    /**
     * 获取字典配置
     * @param option 选项配置
     */
    getDictionary(option: IOptionsPro): void;
    /**
     * 通过远程查询参数
     * @param option 选项配置
     * @param query :额外的查询参数
     */
    getRemote(option: IOptionsPro, query: any): void;
    tranlateOptions(options: IOptionsPro): void;
    shouldComponentUpdate(nextProp: any): boolean;
    componentDidMount(): void;
}
